Bug 1149949 - munin-async init script to override defaults
Summary: munin-async init script to override defaults
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: munin
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: d. johnson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-07 02:43 UTC by Daniel Black
Modified: 2015-04-21 18:54 UTC (History)
3 users (show)

Fixed In Version: munin-2.0.25-2.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-06 03:11:43 UTC


Attachments (Terms of Use)

Description Daniel Black 2014-10-07 02:43:26 UTC
Description of problem:

I'd like to be able to override the default munin-async executable for experimentation. Adding the ability to override with a /etc/sysconfig/munin-async like other initscripts would be useful.

Version-Release number of selected component (if applicable):

 yum info munin-async

Installed Packages
Name        : munin-async
Arch        : noarch
Version     : 2.0.21
Release     : 1.el6



Add the following to the init script after variable definations to allow overrides

[ -e /etc/sysconfig/$ASYNC_BIN ] && . /etc/sysconfig/$ASYNC_BIN

Comment 1 d. johnson 2014-10-07 03:04:21 UTC
I'm afraid this might not be the best way to globally fix this issue.

What are you trying to override that cannot already be accomplished via the config file?

Comment 2 Daniel Black 2014-10-25 12:24:05 UTC
munin-asyncd to run strictly on the interval relative to the wall clock rather than the async starting time.

Upstream is interested in a patch so I'll push it there. I'll put a ref here and you can decide if its useful.

It was for me when I was rsyncing the munin-asyncd spool off by cron to a different machine to do the graphs there.

Comment 4 Fedora Update System 2015-03-07 05:58:13 UTC
munin-2.0.25-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/munin-2.0.25-2.el5

Comment 5 Fedora Update System 2015-03-07 05:59:50 UTC
munin-2.0.25-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/munin-2.0.25-2.el6

Comment 6 Fedora Update System 2015-03-07 06:00:23 UTC
munin-2.0.25-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/munin-2.0.25-2.el7

Comment 7 Fedora Update System 2015-03-07 06:00:46 UTC
munin-2.0.25-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/munin-2.0.25-2.fc20

Comment 8 Fedora Update System 2015-03-07 06:01:08 UTC
munin-2.0.25-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/munin-2.0.25-2.fc21

Comment 9 Fedora Update System 2015-03-07 06:01:35 UTC
munin-2.0.25-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/munin-2.0.25-2.fc22

Comment 10 Fedora Update System 2015-03-08 22:38:40 UTC
Package munin-2.0.25-2.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing munin-2.0.25-2.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-1031/munin-2.0.25-2.el6
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2015-04-06 03:11:43 UTC
munin-2.0.25-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-04-06 03:12:15 UTC
munin-2.0.25-2.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-04-06 03:12:51 UTC
munin-2.0.25-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2015-04-06 08:34:14 UTC
munin-2.0.25-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2015-04-06 08:36:07 UTC
munin-2.0.25-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2015-04-21 18:54:07 UTC
munin-2.0.25-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.